#pragma once

class GameManager {
    public:
    int score = 0;
    int bubblesPopped = 0;

    int getScore() const { return score; }
    void addScore(const int amount) { score += amount; }
    void resetScore() { score = 0; }

    int getBubblesPopped() const { return bubblesPopped; }
    void addBubblesPopped(const int amount) { bubblesPopped += amount; }
    void resetBubblesPopped() { bubblesPopped = 0; }

    void reset() { resetScore(); resetBubblesPopped(); }
};